Loading...
Searching...
No Matches
BALL::VIEW::ModelSettingsDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/modelSettingsDialog.h>`

Inheritance diagram for BALL::VIEW::ModelSettingsDialog:

## Public Member Functions

| ModelSettingsDialog (QWidget *parent=0, const char *name="ModelSettingsDialog", Qt::WindowFlags fl=0)
| Constructor.
virtual | ~ModelSettingsDialog ()
| Destructor.
virtual void | applySettingsTo (ModelProcessor &cp) const
virtual ModelProcessor * | createModelProcessor (ModelType type) const
virtual void | getSettings (const ModelProcessor &mp)
virtual QWidget * | getEntryFor (ModelType type)
float | getStickStickRadius () const
float | getBallAndStickStickRadius () const
bool | ballAndStickDashedBondsEnabled () const
float | getBallRadius () const
float | getVDWRadiusFactor () const
float | getSurfaceProbeRadius () const
float | getTubeRadius () const
float | getCartoonTubeRadius () const
float | getCartoonHelixRadius () const
float | getCartoonArrowWidth () const
float | getCartoonStrandHeight () const
float | getCartoonStrandWidth () const
float | getHBondsRadius () const
float | getForceMaxLength () const
float | getForceScaling () const
float | getForceBase () const
float | getForceOffset () const
float | getDNALadderRadius () const
float | getDNABaseRadius () const
float | getDNAHelixRadius () const
void | setStickStickRadius (float value)
void | setBallAndStickStickRadius (float value)
void | setBallAndStickStickDashedBondsEnabled (bool state)
void | setBallRadius (float value)
void | setVDWRadiusFactor (float value)
void | setSurfaceProbeRadius (float value)
void | setTubeRadius (float value)
void | setCartoonTubeRadius (float value)
void | setCartoonHelixRadius (float value)
void | setCartoonArrowWidth (float value)
void | setCartoonStrandHeight (float value)
void | setCartoonStrandWidth (float value)
void | setHBondRadius (float value)
void | setForceMaxLenght (float value)
void | setForceScaling (float value)
void | setForceOffset (float value)
void | setForceBase (float value)
void | setCartoonDNALadderRadius (float value)
void | setCartoonDNAHelixRadius (float value)
void | setCartoonDNABaseRadius (float value)
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

void | stickRadiusChanged ()
void | VDWfactorChanged ()
void | ballStickSphereRadiusChanged ()
void | ballStickCylinderRadiusChanged ()
void | probeRadiusChanged ()
void | tubeRadiusChanged ()
void | cartoonTubeRadiusChanged ()
void | cartoonHelixRadiusChanged ()
void | cartoonStrandArrowWidthChanged ()
void | cartoonStrandHeightChanged ()
void | cartoonStrandWidthChanged ()
void | cartoonDNAHelixRadiusChanged ()
void | cartoonDNABaseRadiusChanged ()
void | cartoonDNALadderRadiusChanged ()
void | hbondsRadiusChanged ()
void | forceScalingChanged ()
void | forceMaxLengthChanged ()
void | forceBaseChanged ()
void | forceOffsetChanged ()
void | changedNAMode_ (bool state)

## Protected Member Functions

float | getFloatValue_ (const QSlider *const &le) const
void | setValue_ (QSlider *le, float value)
void | setLabelText_ (QLabel *label, const QSlider *const from)
void | setDefaultValues_ ()
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for the molecular model settings, it is inserted into the Preferences.

Definition at line 42 of file modelSettingsDialog.h.

## Constructor & Destructor Documentation

## ModelSettingsDialog()

BALL::VIEW::ModelSettingsDialog::ModelSettingsDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "ModelSettingsDialog",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~ModelSettingsDialog()

virtual BALL::VIEW::ModelSettingsDialog::~ModelSettingsDialog | ( |  | ) |

inline virtual

Destructor.

Definition at line 56 of file modelSettingsDialog.h.

## Member Function Documentation

## applySettingsTo()

virtual void BALL::VIEW::ModelSettingsDialog::applySettingsTo | ( | ModelProcessor & | cp | ) | const

virtual

## ballAndStickDashedBondsEnabled()

bool BALL::VIEW::ModelSettingsDialog::ballAndStickDashedBondsEnabled | ( |  | ) | const

inline

Definition at line 79 of file modelSettingsDialog.h.

## ballStickCylinderRadiusChanged

void BALL::VIEW::ModelSettingsDialog::ballStickCylinderRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 238 of file modelSettingsDialog.h.

## ballStickSphereRadiusChanged

void BALL::VIEW::ModelSettingsDialog::ballStickSphereRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 237 of file modelSettingsDialog.h.

## cartoonDNABaseRadiusChanged

void BALL::VIEW::ModelSettingsDialog::cartoonDNABaseRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 249 of file modelSettingsDialog.h.

## cartoonDNAHelixRadiusChanged

void BALL::VIEW::ModelSettingsDialog::cartoonDNAHelixRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 248 of file modelSettingsDialog.h.

## cartoonDNALadderRadiusChanged

void BALL::VIEW::ModelSettingsDialog::cartoonDNALadderRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 250 of file modelSettingsDialog.h.

## cartoonHelixRadiusChanged

void BALL::VIEW::ModelSettingsDialog::cartoonHelixRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 242 of file modelSettingsDialog.h.

## cartoonStrandArrowWidthChanged

void BALL::VIEW::ModelSettingsDialog::cartoonStrandArrowWidthChanged | ( |  | ) |

inline protected slot

Definition at line 244 of file modelSettingsDialog.h.

## cartoonStrandHeightChanged

void BALL::VIEW::ModelSettingsDialog::cartoonStrandHeightChanged | ( |  | ) |

inline protected slot

Definition at line 245 of file modelSettingsDialog.h.

## cartoonStrandWidthChanged

void BALL::VIEW::ModelSettingsDialog::cartoonStrandWidthChanged | ( |  | ) |

inline protected slot

Definition at line 246 of file modelSettingsDialog.h.

## cartoonTubeRadiusChanged

void BALL::VIEW::ModelSettingsDialog::cartoonTubeRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 241 of file modelSettingsDialog.h.

## changedNAMode_

void BALL::VIEW::ModelSettingsDialog::changedNAMode_ | ( | bool | state | ) |

protected slot

## createModelProcessor()

virtual ModelProcessor * BALL::VIEW::ModelSettingsDialog::createModelProcessor | ( | ModelType | type | ) | const

virtual

Exceptions

  BALL::Exception::InvalidOption |

## forceBaseChanged

void BALL::VIEW::ModelSettingsDialog::forceBaseChanged | ( |  | ) |

inline protected slot

Definition at line 254 of file modelSettingsDialog.h.

## forceMaxLengthChanged

void BALL::VIEW::ModelSettingsDialog::forceMaxLengthChanged | ( |  | ) |

inline protected slot

Definition at line 253 of file modelSettingsDialog.h.

## forceOffsetChanged

void BALL::VIEW::ModelSettingsDialog::forceOffsetChanged | ( |  | ) |

inline protected slot

Definition at line 255 of file modelSettingsDialog.h.

## forceScalingChanged

void BALL::VIEW::ModelSettingsDialog::forceScalingChanged | ( |  | ) |

inline protected slot

Definition at line 252 of file modelSettingsDialog.h.

## getBallAndStickStickRadius()

float BALL::VIEW::ModelSettingsDialog::getBallAndStickStickRadius | ( |  | ) | const

inline

Definition at line 75 of file modelSettingsDialog.h.

## getBallRadius()

float BALL::VIEW::ModelSettingsDialog::getBallRadius | ( |  | ) | const

inline

Definition at line 83 of file modelSettingsDialog.h.

## getCartoonArrowWidth()

float BALL::VIEW::ModelSettingsDialog::getCartoonArrowWidth | ( |  | ) | const

inline

Definition at line 107 of file modelSettingsDialog.h.

## getCartoonHelixRadius()

float BALL::VIEW::ModelSettingsDialog::getCartoonHelixRadius | ( |  | ) | const

inline

Definition at line 103 of file modelSettingsDialog.h.

## getCartoonStrandHeight()

float BALL::VIEW::ModelSettingsDialog::getCartoonStrandHeight | ( |  | ) | const

inline

Definition at line 111 of file modelSettingsDialog.h.

## getCartoonStrandWidth()

float BALL::VIEW::ModelSettingsDialog::getCartoonStrandWidth | ( |  | ) | const

inline

Definition at line 115 of file modelSettingsDialog.h.

## getCartoonTubeRadius()

float BALL::VIEW::ModelSettingsDialog::getCartoonTubeRadius | ( |  | ) | const

inline

Definition at line 99 of file modelSettingsDialog.h.

## getDNABaseRadius()

float BALL::VIEW::ModelSettingsDialog::getDNABaseRadius | ( |  | ) | const

inline

Definition at line 143 of file modelSettingsDialog.h.

## getDNAHelixRadius()

float BALL::VIEW::ModelSettingsDialog::getDNAHelixRadius | ( |  | ) | const

inline

Definition at line 147 of file modelSettingsDialog.h.

## getDNALadderRadius()

float BALL::VIEW::ModelSettingsDialog::getDNALadderRadius | ( |  | ) | const

inline

Definition at line 139 of file modelSettingsDialog.h.

## getEntryFor()

virtual QWidget * BALL::VIEW::ModelSettingsDialog::getEntryFor | ( | ModelType | type | ) |

virtual

## getFloatValue_()

float BALL::VIEW::ModelSettingsDialog::getFloatValue_ | ( | const QSlider *const & | le | ) | const

protected

## getForceBase()

float BALL::VIEW::ModelSettingsDialog::getForceBase | ( |  | ) | const

inline

Definition at line 131 of file modelSettingsDialog.h.

## getForceMaxLength()

float BALL::VIEW::ModelSettingsDialog::getForceMaxLength | ( |  | ) | const

inline

Definition at line 123 of file modelSettingsDialog.h.

## getForceOffset()

float BALL::VIEW::ModelSettingsDialog::getForceOffset | ( |  | ) | const

inline

Definition at line 135 of file modelSettingsDialog.h.

## getForceScaling()

float BALL::VIEW::ModelSettingsDialog::getForceScaling | ( |  | ) | const

inline

Definition at line 127 of file modelSettingsDialog.h.

## getHBondsRadius()

float BALL::VIEW::ModelSettingsDialog::getHBondsRadius | ( |  | ) | const

inline

Definition at line 119 of file modelSettingsDialog.h.

## getSettings()

virtual void BALL::VIEW::ModelSettingsDialog::getSettings | ( | const ModelProcessor & | mp | ) |

virtual

## getStickStickRadius()

float BALL::VIEW::ModelSettingsDialog::getStickStickRadius | ( |  | ) | const

inline

Definition at line 71 of file modelSettingsDialog.h.

## getSurfaceProbeRadius()

float BALL::VIEW::ModelSettingsDialog::getSurfaceProbeRadius | ( |  | ) | const

inline

Definition at line 91 of file modelSettingsDialog.h.

## getTubeRadius()

float BALL::VIEW::ModelSettingsDialog::getTubeRadius | ( |  | ) | const

inline

Definition at line 95 of file modelSettingsDialog.h.

## getVDWRadiusFactor()

float BALL::VIEW::ModelSettingsDialog::getVDWRadiusFactor | ( |  | ) | const

inline

Definition at line 87 of file modelSettingsDialog.h.

## hbondsRadiusChanged

void BALL::VIEW::ModelSettingsDialog::hbondsRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 251 of file modelSettingsDialog.h.

## probeRadiusChanged

void BALL::VIEW::ModelSettingsDialog::probeRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 239 of file modelSettingsDialog.h.

## setBallAndStickStickDashedBondsEnabled()

void BALL::VIEW::ModelSettingsDialog::setBallAndStickStickDashedBondsEnabled | ( | bool | state | ) |

inline

Definition at line 159 of file modelSettingsDialog.h.

## setBallAndStickStickRadius()

void BALL::VIEW::ModelSettingsDialog::setBallAndStickStickRadius | ( | float | value | ) |

inline

Definition at line 155 of file modelSettingsDialog.h.

## setBallRadius()

void BALL::VIEW::ModelSettingsDialog::setBallRadius | ( | float | value | ) |

inline

Definition at line 163 of file modelSettingsDialog.h.

## setCartoonArrowWidth()

void BALL::VIEW::ModelSettingsDialog::setCartoonArrowWidth | ( | float | value | ) |

inline

Definition at line 187 of file modelSettingsDialog.h.

## setCartoonDNABaseRadius()

void BALL::VIEW::ModelSettingsDialog::setCartoonDNABaseRadius | ( | float | value | ) |

inline

Definition at line 227 of file modelSettingsDialog.h.

## setCartoonDNAHelixRadius()

void BALL::VIEW::ModelSettingsDialog::setCartoonDNAHelixRadius | ( | float | value | ) |

inline

Definition at line 223 of file modelSettingsDialog.h.

## setCartoonDNALadderRadius()

void BALL::VIEW::ModelSettingsDialog::setCartoonDNALadderRadius | ( | float | value | ) |

inline

Definition at line 219 of file modelSettingsDialog.h.

## setCartoonHelixRadius()

void BALL::VIEW::ModelSettingsDialog::setCartoonHelixRadius | ( | float | value | ) |

inline

Definition at line 183 of file modelSettingsDialog.h.

## setCartoonStrandHeight()

void BALL::VIEW::ModelSettingsDialog::setCartoonStrandHeight | ( | float | value | ) |

inline

Definition at line 191 of file modelSettingsDialog.h.

## setCartoonStrandWidth()

void BALL::VIEW::ModelSettingsDialog::setCartoonStrandWidth | ( | float | value | ) |

inline

Definition at line 195 of file modelSettingsDialog.h.

## setCartoonTubeRadius()

void BALL::VIEW::ModelSettingsDialog::setCartoonTubeRadius | ( | float | value | ) |

inline

Definition at line 179 of file modelSettingsDialog.h.

## setDefaultValues_()

void BALL::VIEW::ModelSettingsDialog::setDefaultValues_ | ( |  | ) |

protected

## setForceBase()

void BALL::VIEW::ModelSettingsDialog::setForceBase | ( | float | value | ) |

inline

Definition at line 215 of file modelSettingsDialog.h.

## setForceMaxLenght()

void BALL::VIEW::ModelSettingsDialog::setForceMaxLenght | ( | float | value | ) |

inline

Definition at line 203 of file modelSettingsDialog.h.

## setForceOffset()

void BALL::VIEW::ModelSettingsDialog::setForceOffset | ( | float | value | ) |

inline

Definition at line 211 of file modelSettingsDialog.h.

## setForceScaling()

void BALL::VIEW::ModelSettingsDialog::setForceScaling | ( | float | value | ) |

inline

Definition at line 207 of file modelSettingsDialog.h.

## setHBondRadius()

void BALL::VIEW::ModelSettingsDialog::setHBondRadius | ( | float | value | ) |

inline

Definition at line 199 of file modelSettingsDialog.h.

## setLabelText_()

void BALL::VIEW::ModelSettingsDialog::setLabelText_ | ( | QLabel * | label,
|  | const QSlider *const | from )

protected

## setStickStickRadius()

void BALL::VIEW::ModelSettingsDialog::setStickStickRadius | ( | float | value | ) |

inline

Definition at line 151 of file modelSettingsDialog.h.

## setSurfaceProbeRadius()

void BALL::VIEW::ModelSettingsDialog::setSurfaceProbeRadius | ( | float | value | ) |

inline

Definition at line 171 of file modelSettingsDialog.h.

## setTubeRadius()

void BALL::VIEW::ModelSettingsDialog::setTubeRadius | ( | float | value | ) |

inline

Definition at line 175 of file modelSettingsDialog.h.

## setValue_()

void BALL::VIEW::ModelSettingsDialog::setValue_ | ( | QSlider * | le,
|  | float | value )

protected

## setVDWRadiusFactor()

void BALL::VIEW::ModelSettingsDialog::setVDWRadiusFactor | ( | float | value | ) |

inline

Definition at line 167 of file modelSettingsDialog.h.

## stickRadiusChanged

void BALL::VIEW::ModelSettingsDialog::stickRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 235 of file modelSettingsDialog.h.

## tubeRadiusChanged

void BALL::VIEW::ModelSettingsDialog::tubeRadiusChanged | ( |  | ) |

inline protected slot

Definition at line 240 of file modelSettingsDialog.h.

## VDWfactorChanged

void BALL::VIEW::ModelSettingsDialog::VDWfactorChanged | ( |  | ) |

inline protected slot

Definition at line 236 of file modelSettingsDialog.h.